local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("src.enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____CustomCallback = require("src.classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostFlip = __TS__Class()
local PostFlip = ____exports.PostFlip
PostFlip.name = "PostFlip"
__TS__ClassExtends(PostFlip, CustomCallback)
function PostFlip.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.featuresUsed = {ISCFeature.FLIP_DETECTION}
end
return ____exports
